import React from 'react';
import { Uploader } from '@antmjs/vantui';
import upload from '@/services/upload';

export default (props) => {

  const { value, onChange } = props;

  const fileList = React.useMemo(() => {
    return value ? [{ url: value }] : []
  }, [value]);
  
  const onAfterRead = (e) => {
    const { file } = e.detail;
    upload(file.url).then(v => onChange({ detail: v }));
  }

  const onDelete = () => {
    onChange({ detail: undefined });
  }

  return (
    <Uploader
      multiple={false}
      accept="image"
      fileList={fileList}
      onAfterRead={onAfterRead}
      onDelete={onDelete}
    />
  )
}
