import React from "react";

export default function useRequest(api) {
  const [loading, setLoading] = React.useState(false);

  const request = React.useCallback((...args) => {
    return new Promise((resovle, reject) => {
      setLoading(true);
      api(...args).then(res => {
        setLoading(false);
        resovle(res);
      }).catch(er => {
        reject(er);
        setLoading(false);
      })
    });
  }, [api]);

  return [loading, request];
}
